{% extends "../orders/base.html" %}

{% block title %}
Login | Project3: Pizza
{% endblock %}

{% block body %}

<h2>Login</h2>
<div class="content-container container">
  <div class="col-7">
    <form method="post" action="{% url 'login' %}" class="profile-form">
      {% csrf_token %}
      <div class="form-group row">
        <label class="col-2 col-form-label">{{ form.username.label_tag }}</label>
        <div class="col-10">
          <input type="text" class="form-control" name="{{ form.username.html_name }}" id="form.username.id_for_label">
        </div>
      </div>
      <div class="form-group row">
        <label class="col-2 col-form-label">{{ form.password.label_tag }}</label>
        <div class="col-10">
          <input type="password" class="form-control" name="{{ form.password.html_name }}" id="form.password.id_for_label">
        </div>
      </div>
      <input type="submit" value="Login" class="btn btn-block btn-success" />
      <input type="hidden" name="next" value="{{ next }}" />
    </form>

    {# Assumes you setup the password_reset view in your URLconf #}
    <p><a href="{% url 'password_reset' %}">Lost password?</a> | <a href="{% url 'signup' %}">Register</a></p>
    {% if form.errors %}
    <div class="alert alert-danger" role="alert">Your username and password didn't match. Please try again.</div>
  </div>
</div>
{% endif %}
{% endblock %}
